class Choice:
    NETSTR_LEN = 6
    def __init__(self, frm, to, rotateDir=0, unstack=0):
	self.frm = tuple(frm)
	self.to = tuple(to)
	self.rotateDir = rotateDir
	self.unstack = unstack
    def netStrCoord(self, coord):
	assert coord[0] < 256 - ord('a')
	assert coord[1] < 256 - ord('a')
	return "%s%s" % (chr(ord('a') + coord[0]),
		chr(ord('a') + coord[1]))
    def netStrDir(self, dir):
	assert dir >= -2 and dir <= 2
	return "%d" % (dir + 2)
    def netStr(self):
	assert self.unstack in [0,1]
	return "%s%s%s%d" % (self.netStrCoord(self.frm),
		self.netStrCoord(self.to), self.netStrDir(self.rotateDir),
		self.unstack)
    def niceStr(self):
	def niceStrCoord(coord):
	    return "%s%s" % (chr(ord('a') + coord[0]),
		    chr(ord('1') + coord[1]))
	if self.frm != self.to:
	    s = niceStrCoord(self.frm) + niceStrCoord(self.to)
	    if self.unstack:
		s += ' U'
	else:
	    s = niceStrCoord(self.frm) + ' ' + {
		    -1:'<', 1:'>', 0:'?'}[self.rotateDir]
	return s
    def __str__(self):
	return self.netStr()


def netStrToChoice(str):
    assert len(str) == Choice.NETSTR_LEN
    def coord(s):
	return (ord(s[0]) - ord('a'),
		ord(s[1]) - ord('a'))
    return Choice(coord(str[0:2]), coord(str[2:4]), int(str[4])-2,
	    int(str[5]))
