#!/usr/bin/env python

from distutils.core import setup

setup(
	scripts=['ckhet'],
	packages=['ckhetpkg', 'ckhetpkg.urwid_reduct'],

	# Metadata:
	name="ckhet",
	version="0.1.7",
	description="ckhet",
	long_description="Curses implementation of the board game Khet",
	author="Martin Bays",
	author_email="mbays@sdf.lonestar.org",
	url="http://mbays.freeshell.org/ckhet/",
	download_url="http://mbays.freeshell.org/ckhet/",
	classifiers = [
	    'Development Status :: 3 - Beta',
	    'Environment :: Console',
	    'Intended Audience :: End Users/Desktop',
	    'License :: OSI Approved :: GNU General Public License (GPL)',
	    'Programming Language :: Python',
	    'Topic :: Games/Entertainment :: Board Games',
	],
    )
